Felix Singer submitted this change.

View Change

Approvals: build bot (Jenkins): Verified Felix Singer: Looks good to me, approved Varshit Pandya: Looks good to me, but someone else must approve
util/lint: Add lint rule to watch for Makefile.inc

This should keep new makefiles from being named Makefile.inc.

Change-Id: I4a47998e1c997b82b8a15319eae96cdc0de64e77
Signed-off-by: Martin Roth <gaumless@gmail.com>
Signed-off-by: Elyes Haouas <ehaouas@noos.fr>
Reviewed-on: https://review.coreboot.org/c/coreboot/+/81857
Reviewed-by: Felix Singer <service+coreboot-gerrit@felixsinger.de>
Tested-by: build bot (Jenkins) <no-reply@coreboot.org>
Reviewed-by: Varshit Pandya <pandyavarshit@gmail.com>
---
A util/lint/lint-stable-030-makefile-inc
1 file changed, 24 insertions(+), 0 deletions(-)

diff --git a/util/lint/lint-stable-030-makefile-inc b/util/lint/lint-stable-030-makefile-inc
new file mode 100755
index 0000000..a586bea
--- /dev/null
+++ b/util/lint/lint-stable-030-makefile-inc
@@ -0,0 +1,24 @@
+#!/usr/bin/env sh
+# SPDX-License-Identifier: GPL-2.0-or-later
+#
+# DESCR: Verify that Makefiles are not named Makefile.inc
+#
+
+LINTDIR="$(
+ cd -- "$(dirname "$0")" > /dev/null 2>&1 || return
+ pwd -P
+)"
+
+# shellcheck source=helper_functions.sh
+. "${LINTDIR}/helper_functions.sh"
+
+# Exit if the code isn't in a git repo
+if [ "${IN_GIT_TREE}" -eq 0 ]; then
+ exit 0
+fi
+
+MAKELIST="$(${FIND_FILES} | grep Makefile.inc)"
+if [ -n "${MAKELIST}" ]; then
+ echo "Error: Makefiles should be Makefile.mk not Makefile.inc"
+ echo "${MAKELIST}"
+fi

To view, visit change 81857. To unsubscribe, or for help writing mail filters, visit settings.

Gerrit-Project: coreboot
Gerrit-Branch: main
Gerrit-Change-Id: I4a47998e1c997b82b8a15319eae96cdc0de64e77
Gerrit-Change-Number: 81857
Gerrit-PatchSet: 4
Gerrit-Owner: Martin L Roth <gaumless@gmail.com>
Gerrit-Reviewer: Elyes Haouas <ehaouas@noos.fr>
Gerrit-Reviewer: Eric Lai <ericllai@google.com>
Gerrit-Reviewer: Felix Held <felix-coreboot@felixheld.de>
Gerrit-Reviewer: Felix Singer <service+coreboot-gerrit@felixsinger.de>
Gerrit-Reviewer: Varshit Pandya <pandyavarshit@gmail.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply@coreboot.org>
Gerrit-MessageType: merged